For the complete documentation index, see llms.txt. This page is also available as Markdown.

Turnover report for products

Get turnover data for a product group grouped by product

If tenant user UID is specified, the turnover data will only contain the numbers for that specific user.

Required permissions: REPORTING,SALES_ORDER,RETURN_ORDER

post
/tenants/{tenantUid}/reports/turnover/stores/{storeUid}/product-groups/{productGroupUid}/products
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
productGroupUidstringRequired

Reference to a ProductGroup.

Pattern: ^[A-Za-z0-9-_]+
Body

Turnover Request Body

fromDateTimestring · date-time · min: 20Required
toDateTimestring · date-time · min: 20Required
reportBasisstring · enumOptional
ENUMDescription
settledReport on settled orders using settled_at. Includes only orders with status COMPLETE and settleState COMPLETE.
orderedReport on orders using order_date. Includes orders with status COMPLETE or CONFIRMED.
Default: settledPossible values:
tenantUserUidstringOptionalPattern: ^[A-Za-z0-9-_]+
storeUidsstring[]Optional
Responses
200

Turnover response

application/json
post/tenants/{tenantUid}/reports/turnover/stores/{storeUid}/product-groups/{productGroupUid}/products
POST /v2/tenants/{tenantUid}/reports/turnover/stores/{storeUid}/product-groups/{productGroupUid}/products HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 151

{
  "fromDateTime": "2026-01-01T00:00:00.000Z",
  "toDateTime": "2026-01-01T00:00:00.000Z",
  "reportBasis": "settled",
  "tenantUserUid": "text",
  "storeUids": [
    "text"
  ]
}
200

Turnover response

{
  "items": [
    {
      "costAmount": 1,
      "count": 1,
      "discountAmount": 1,
      "id": "text",
      "revenueAmount": 1,
      "revenuePercent": 1,
      "text": "text",
      "turnoverAmount": 1
    }
  ],
  "total": {
    "costAmount": 1,
    "count": 1,
    "discountAmount": 1,
    "revenueAmount": 1,
    "revenuePercent": 1,
    "turnoverAmount": 1,
    "orderCount": 1
  }
}

Last updated

Was this helpful?